import './App.scss';
import {Router, Route, Link, Redirect} from 'react-router-dom';
import createHistory from "history/createBrowserHistory";
import MainPage from "./pages/MainPage";
import Page404 from "./pages/404Page";
import ContactPage from "./pages/ContactPage";
import Switch from "react-router-dom/es/Switch";

const history = createHistory();

function App() {
  return (
      <Router history={history}>
          <Switch>
              <Route path="/" component={MainPage} exact/>
              <Route path="/contact" component={ContactPage} />
              <Route path="*" component={Page404} />
          </Switch>
      </Router>
  )
}

export default App;
